<form [formGroup]="taskForm" class="add-task-modal-dialog">
<div mat-dialog-content>
  <p>Add a new task here</p>
    <mat-form-field class="full-width">
      <input matInput formControlName="title" placeholder="Enter task title here">
      <mat-error *ngIf="taskForm.invalid">{{getTitleErrorMessage()}}</mat-error>
    </mat-form-field>
    <mat-form-field class="full-width">
      <textarea matInput formControlName="description" placeholder="Enter task description here"></textarea>
    </mat-form-field>
    <mat-form-field class="full-width">
      <input matInput formControlName="dueDate" [matDatepicker]="pickerDueDate" placeholder="Choose a due date">
      <mat-datepicker-toggle matSuffix [for]="pickerDueDate"></mat-datepicker-toggle>
      <mat-datepicker #pickerDueDate></mat-datepicker>
      <mat-error *ngIf="taskForm.invalid">{{getDueDateErrorMessage()}}</mat-error>
    </mat-form-field>
    <mat-form-field class="full-width">
      <mat-label>Select a task project</mat-label>
      <mat-select formControlName="project">
        <mat-option *ngFor="let project of projects" [value]="project.value">
          {{project.viewValue}}
        </mat-option>
      </mat-select>
      <mat-error *ngIf="taskForm.invalid">{{getProjectErrorMessage()}}</mat-error>
    </mat-form-field>
</div>
<div mat-dialog-actions align="end">
  <button mat-button (click)="onCancel()">Cancel</button>
  <button mat-button (click)="onSubmit()" [mat-dialog-close]="data.task" [disabled]="taskForm.invalid">Add</button>
</div>
</form>
